# class AudioBuffer

#### package lime.media

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`bitsPerSample:Int`

###

`channels:Int`

###

`data:UInt8Array`

###

`sampleRate:Int`

###

`src:Dynamic`

### Methods

###

`dispose ():Void`

### Static methods

###

`staticfromBase64 (base64String:String):AudioBuffer`

###

`staticfromBytes (bytes:Bytes):AudioBuffer`

###

`staticfromFile (path:String):AudioBuffer`

###

`staticfromFiles (paths:Array<String>):AudioBuffer`

###

`staticfromVorbisFile (vorbisFile:VorbisFile):AudioBuffer`

Available on Android, iOS, Linux, macOS, Neko, Windows

###

`staticfromVorbisFile (vorbisFile:Dynamic):AudioBuffer`

Available on Flash, HTML5

###

`staticloadFromFile (path:String):Future<AudioBuffer>`

###

`staticloadFromFiles (paths:Array<String>):Future<AudioBuffer>`